Bug 179454 - sign.sh script is missing
sign.sh script is missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 10:39 EST by MK
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 04:22:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MK 2006-01-31 10:39:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
This problem pertains mod_ssl rpm. 

In order to create self-signed certificates, it is necessary to use the sign.sh script distributed with mod_ssl:

http://www.modssl.org/docs/2.8/ssl_faq.html#cert-ownca

This script is missing in the mod_ssl rpms, while it is provided e.g. here:

http://www.modssl.org/contrib/ftp/source/mod_ssl-2.8.25-1.3.34.tar.gz


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ql mod_ssl # see sign.sh lacking
2. # or:
3. locate sign.sh
 

Actual Results:  system administrator can't create self-signed certificates using software that is guaranteed to be compatible with installed soft

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:29:32 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 MK 2007-01-24 15:01:09 EST
Confirmed, sign.sh still not there on FC6 in any of the following packages:

orchidea (192.168.1.1) ~ % rpm -qa | grep ssl
openssl-0.9.8b-8.3.fc6
mod_ssl-2.2.3-5
openssl-devel-0.9.8b-8.3.fc6

System:

orchidea (192.168.1.1) ~ % uname -a
Linux orchidea.btw.eng 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20 14:51:46 EST 2006
i686 i686 i386 GNU/Linux
Comment 3 MK 2007-01-24 15:02:17 EST
Confirmed, sign.sh still not there on FC6 in any of the following packages:

orchidea (192.168.1.1) ~ % rpm -qa | grep ssl
openssl-0.9.8b-8.3.fc6
mod_ssl-2.2.3-5
openssl-devel-0.9.8b-8.3.fc6

System:

orchidea (192.168.1.1) ~ % uname -a
Linux orchidea.btw.eng 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20 14:51:46 EST 2006
i686 i686 i386 GNU/Linux


Comment 4 Joe Orton 2007-01-29 04:22:13 EST
This script is not bundled with mod_ssl any more.  In Fedora Core you can use
the "genkey" program from the crypto-utils package to generate self-signed
certs; or use /usr/bin/openssl directly.

Note You need to log in before you can comment on or make changes to this bug.